theme:enable:
  - "gin"

pm-enable:
  - gin_toolbar
  - gin_login
  - coffee
  - admin_toolbar
  - gin_toolbar
  - content_planner
  - login_destination
  - r4032login
  - field_group
  - field_formatter_class
  - views_bulk_operations
  - paragraphs_edit
  - nocurrent_pass
  - shield
  - devel
  - config_ignore
  - symfony_mailer
  - jsonapi_menu_items
  - jsonapi_include
  - jsonapi_image_styles
  - restui
  - decoupled_router
  - pathauto
  - media_library
  - media_library_edit
  - amswap
  - nodehive_core
  - nodehive_area_fragment
  - nodehive_visualeditor
  - nodehive_apidoc
  - nodehive_jsonapi_extras_massedit
  - nodehive_public_api
  - svg_image
  - jwt
  - jwt_auth_issuer
  - jwt_path_auth
  - jwt_auth_consumer
  - basic_auth
  - exif_orientation
  - image_effects
  - menu_link_attributes
  - webform
  - webform_ui
  - webform_rest
  - quick_node_clone
  - jsonapi_extras
  - jsonapi_hypermedia
  - entity_update
  - editor_advanced_link
  - ckeditor5_paste_filter
  - focal_point
  - redirect
  - rabbit_hole
  - field_permissions
  - entity
  - json_field
  - json_field_widget
  - texts
  - nodehive_jsonapi_extras_massedit
  - nodehive_public_api

config-set:
  - "system.theme admin gin"
  - "system.theme default gin"
  - "user.settings register admin_only"
  - "system.site page.front /user/login?destination=/admin/content-planner/dashboard"
  - "system.site mail no-reply@nodehive.app"
  - "system.site name 'NodeHive Headless CMS'"
  - "user.settings register admin_only"
  - "amswap.amswapconfig role_menu_pairs.0.role administrator"
  - "amswap.amswapconfig role_menu_pairs.0.menu admin"
  - "amswap.amswapconfig role_menu_pairs.1.role nodehive_content_editor"
  - "amswap.amswapconfig role_menu_pairs.1.menu nodehive-editor"
  - "amswap.amswapconfig role_menu_pairs.2.role nodehive_content_admin"
  - "amswap.amswapconfig role_menu_pairs.2.menu nodehive-admin"
  - "symfony_mailer.settings default_transport smtp"

php-eval:
  - "module_load_include(\"module\",\"nodehive_core\",\"nodehive_core\");_nodehive_core_copy_static_assets();"

role:perm:remove:
  - "anonymous 'search content'"
